@import '~foundation-sites/scss/util/util';

// Global
// ---------

$global-width: rem-calc(1640);
$global-margin: 1rem;
$global-padding: 1rem;
$global-position: 1rem;

// Breakpoints
// --------------

$breakpoints: (
  small: 0,
  mid-small: 375px,
  medium: 768px,
  large: 1024px,
  xlarge: 1480px,
);
$breakpoint-classes: (small mid-small medium large xlarge);

// The Grid
// -----------

$grid-row-width: $global-width;
$grid-column-count: 12;
$grid-column-gutter: (
  medium: 1rem,
);
$grid-column-align-edge: true;
$grid-column-alias: 'columns';
$block-grid-max: 8;

// Xy Grid
// -----------

$grid-container: $global-width;
$grid-columns: 12;
$grid-margin-gutters: (
  small: 1rem,
);
$grid-padding-gutters: $grid-margin-gutters;
$grid-container-padding: $grid-padding-gutters;
$grid-container-max: $global-width;
$xy-block-grid-max: 8;
